It is currently 22 January 2020, 5:47 Advanced search

Avviso di sicurezza

Domande e risposte su come utilizzare Instant Developer Cloud al meglio

Avviso di sicurezza

Postby m.dieugenio » 5 November 2019, 8:58

Per tutte le app Android pubblicate con INDE CLoud google ci segnala
Avviso di protezione
La tua app contiene una o più librerie con problemi di sicurezza noti. Per informazioni dettagliate, leggi questo articolo del Centro assistenza Google.

Librerie JavaScript vulnerabili:
Name Version Known issues Identified files
jquery 1.11.0 SNYK-npm:jquery:20110606
SNYK-npm:jquery:20150627
SNYK-JS-JQUERY-174006 assets/www/apps/App/client/objects/clockpicker/jquery.min.js
2.1.1 SNYK-npm:jquery:20150627
SNYK-JS-JQUERY-174006 assets/www/apps/App/client/objects/htmleditor/jquery.min.js
3.3.1 SNYK-JS-JQUERY-174006 assets/www/apps/App/client/objects/calendar/jquery.min.js
Interessa la versione APK 13.
m.dieugenio
 
Posts: 515
Joined: 17 May 2012, 9:13

Re: Avviso di sicurezza

Postby m.dieugenio » 25 November 2019, 16:27

Nessun aggiornamento?
m.dieugenio
 
Posts: 515
Joined: 17 May 2012, 9:13

Re: Avviso di sicurezza

Postby g.lanzi » 12 December 2019, 22:41

Non è attualmente possibile rimuovere i warning relativi a jquery. C'è ca considerare che essi non rappresentano un problema perché:
1) non impediscono la pubblicazione sullo store
2) non possono comportare errori nell'applicazione per l'architettura. Anche cambiando la parte client la parte server non accetterà comandi o informazioni da oggetti che dovrebbero avere uno stato diverso.
Giuseppe Lanzi
Director of Support services
Pro Gamma S.p.A.
User avatar
g.lanzi
Pro Gamma
Pro Gamma
 
Posts: 3303
Joined: 29 September 2010, 10:24
Location: Bologna


Return to Tips & Tricks - Cloud

Who is online

Users browsing this forum: No registered users and 2 guests